## tuxsuite-1.44.4.tar.gz

=== Makefile ===
export PROJECT := tuxsuite
export TUXPKG_MIN_COVERAGE := 90

include $(shell tuxpkg get-makefile)

.PHONY: htmlcov tags

htmlcov:
	python3 -m pytest --cov=tuxsuite --cov-report=html

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

flit = flit
publish-pypi:
	$(flit) publish

tags:
	ctags -R tuxsuite/ test/

check: style flake8 codespell

codespell:
	codespell \
		--check-filenames \
		--skip '.git,public,dist,*.sw*,*.pyc,tags,*.json,.coverage,htmlcov,*.1,*.log' \
		-L 'ttests,synopsys,busses,hda,emac'

# The purpose of validate-pre-release is to run the complete integration tests
# against prod, before making a release. The developer should take care of
# setting up the necessary config and environment in order to run it against
# prod.
validate-pre-release: scripts/validate-pre-release.sh
	scripts/validate-pre-release.sh

release: validate-pre-release

=== debian/changelog ===
tuxsuite (1.44.4-1) UNRELEASED; urgency=medium

  * Initial release

 -- Senthil Kumaran <senthil.kumaran@linaro.org>  Mon, 04 Oct 2021 13:37:49 +0530

=== debian/control ===
Source: tuxsuite
Maintainer: Senthil Kumaran <senthil.kumaran@linaro.org>
Section: python
Priority: optional
Build-Depends: b4,
               bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               wget,
               python3-all,
               python3-attr,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-requests,
               python3-flask,
               python3-flask-restful,
               pybuild-plugin-pyproject,
               python3-voluptuous,
               python3-yaml
Standards-Version: 3.9.6
Homepage: https://tuxsuite.com/

Package: tuxsuite
Architecture: all
Depends: b4,
         python3 (>= 3.6),
         python3-attr,
         python3-requests,
         python3-voluptuous,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: tuxsuite.com client for Linux kernel building and testing
  TuxSuite, by Linaro, is a suite of tools and services to help with Linux
  kernel development. The TuxSuite CLI is the supported interface to TuxBuild
  and TuxTest. TuxBuild is an on demand API for building massive quantities of
  Linux kernels in parallel. TuxTest is an on demand API for testing Linux
  kernels reliably and quickly.
